Agent
Hydrate Agent Conversation
GET
/
agent
/
conversations
/
{conversation_id}
Hydrate Agent Conversation
curl --request GET \
--url https://api.aspect.inc/agent/conversations/{conversation_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aspect.inc/agent/conversations/{conversation_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aspect.inc/agent/conversations/{conversation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"conversation": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "active",
"last_activity_at": "2023-11-07T05:31:56Z",
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"share_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"has_active_run": false
},
"messages": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"role": "user",
"content": "<string>",
"content_parts": [
{}
],
"mentions": [
{
"reference_type": "workspace",
"reference_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"display_label": "<string>",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resolution_status": "unresolved",
"start_index": 123,
"end_index": 123
}
],
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actor_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"page_context": {
"url": "<string>",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"current_resource": {
"resource_type": "workspace",
"resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"selection": {
"asset_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"directory_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"collection_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"entity_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"timeline_ranges": [
{}
]
},
"view": {
"filters": {},
"sort": {},
"display_settings": {},
"search_query": "<string>",
"active_tab": "<string>",
"pagination": {}
},
"intent": {
"source": "<string>",
"selected_text": "<string>",
"action_label": "<string>",
"resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"provider_message_id": "<string>"
}
],
"runs": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"user_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"model": "<string>",
"provider_run_id": "<string>",
"error": {},
"cancel_requested_at": "2023-11-07T05:31:56Z",
"cancelled_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
}
],
"tool_calls": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tool_name": "<string>",
"arguments": {},
"status": "pending",
"approval_status": "not_required",
"ui_metadata": {},
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"provider_tool_call_id": "<string>",
"result": {},
"approval_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"approved_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"approved_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
BearerAuthApiKeyAuth
JWT in Authorization header. 'Bearer ' prefix optional.
Path Parameters
Conversation ID
Response
Successful Response
Conversation metadata
Show child attributes
Show child attributes
Transcript messages
Show child attributes
Show child attributes
Runs in the conversation
Show child attributes
Show child attributes
Tool calls in the conversation
Show child attributes
Show child attributes
⌘I
Hydrate Agent Conversation

